GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::IargSlmPtr Struct Reference
GTPin: High-Level Instrumentation (HLI) Parameters and Arguments

HLI argument that points to SLM memory. More...

`#include <gt_iarg_defs.h>`

## Public Member Functions
| IargSlmPtr ()
| Default constructor.
template<typename PRMT >
const IGtIarg & | Make (IGtIargFactory &factory) const
| Create IGtIarg object that assigns SLM pointer PRMT.

## Detailed Description

HLI argument that points to SLM memory.

The class provides factory method that encapsulates argument value into IGtIarg object of type GtIargType::SLM_PTR

## Member Function Documentation

template<typename PRMT >

const IGtIarg& gtpin::IargSlmPtr::Make | ( | IGtIargFactory & | factory | ) | const`[inline]`

Create IGtIarg object that assigns SLM pointer PRMT.

Parameters:

  PRMT | Type of the formal parameter of the function

Returns:
  New IGtIarg object of type GtIargType::SLM_PTR

Precondition:
  PRMT is an integral 32-bit type

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT